import java.util.*;

public class ProbeAck
{

    AbstractSet destination_list;
    int message_status ;
    int priority ;

    public ProbeAck (int priority, int message_status,  AbstractSet destination_list)

    {
	this.priority = priority;
	this.message_status = message_status;
	this.destination_list = destination_list;
    }

public int getproiority()
    {
	return this.priority;
    }

    public void setproiority(int priority)
    {
	this.priority = priority;
    }


    public int getmessagestatus()
    {
	return this.message_status;
    }

    public  void setmessagestatus(int message_status)
    {
        this.message_status = message_status;
    }
    public AbstractSet getdestination()

    {
	return  this.destination_list;
    }

    public void  setdestination(AbstractSet destination_list )

    {
	  this.destination_list = destination_list;
    }
    



}
